#!/bin/sh

# Post install ybcon script

ln -sf /opt/bin/ybcon.sh /usr/bin/ybcon

ybconDir="/opt/etc/ybcon.d"
fishLoc="/usr/share/fish/vendor_completions.d"
bashcompleteLoc="/etc/bash_completion.d"
if [ -d $bashcompleteLoc ]; then
  ln -sf "$ybconDir/bash-completion.sh" "$bashcompleteLoc/ybcon.sh"
fi

if [ -f "/usr/bin/fish" ]; then
  if [ ! -d $fishLoc ]; then
    mkdir "$fishLoc"
  fi
  ln -sf "$ybconDir/fish-completion.fish" "$fishLoc/ybcon.fish"
fi